Bug 467276 - RuntimeError: couldn't determine security context for `/home/guest': Invalid argument
RuntimeError: couldn't determine security context for `/home/guest': Invalid ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libuser (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
:
Depends On: 467217
Blocks: F10Blocker/F10FinalBlocker F10Snap2
  Show dependency treegraph
 
Reported: 2008-10-16 12:47 EDT by James Laska
Modified: 2013-09-02 02:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-24 17:23:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2008-10-16 12:47:06 EDT
Description of problem:

Trying to create a new user from firstboot gui tracebacks due to selinux denial.

Version-Release number of selected component (if applicable):

firstboot-1.100-1.fc10.i386
selinux-policy-3.5.12-2.fc10.noarch

How reproducible:


Steps to Reproduce:
1. Boot into a freshly installed system
2. Proceed through graphical firstboot to the user creation module
3. Add a new user (guest, "Guest User")
  
Actual results:

A traceback occurs:

# cat /tmp/firstboot-Nv4Kqq 
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/firstboot/interface.py", line 102, in _nextClicked
    self.advance()
  File "/usr/lib/python2.5/site-packages/firstboot/interface.py", line 147, in advance
    result = module.apply(self, self.testing)
  File "/usr/share/firstboot/modules/create_user.py", line 148, in apply
    self.admin.addUser(userEnt, mkhomedir=mkhomedir)
RuntimeError: couldn't determine security context for `/home/guest': Invalid argument

Expected Results:

No traceback

Additional info:

# setenforce 0 

Works around the problem.
Comment 1 Chris Lumens 2008-10-21 18:11:11 EDT
James - I believe this was a problem with the policy package that has been addressed.  Care to try again?
Comment 2 Tom "spot" Callaway 2008-10-24 17:23:53 EDT
Confirmed that this is fixed in rawhide, closing. James, if you can reproduce, please re-open.
Comment 3 James Laska 2008-10-31 10:00:14 EDT
VERIFIED in -53 (rawhide-20081030).

Note You need to log in before you can comment on or make changes to this bug.